> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Schemas

> Retrieve a list of schemas in a workspace.



## OpenAPI

````yaml GET /v1/{workspace}/schema/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/{workspace}/schema/:
    get:
      summary: List Schemas
      description: Retrieve a list of schemas in a workspace.
      operationId: list-schemas
      parameters:
        - in: path
          name: workspace
          required: true
          schema:
            type: string
          description: Workspace slug (staging, production, etc.)
        - in: query
          name: mode
          schema:
            type: string
            enum:
              - draft
              - live
            default: draft
          description: Specify if you want to fetch draft or live schema.
      responses:
        '200':
          description: Successfully retrieved list of schemas
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        description: Total number of schemas matching the query
                        example: 5
                      limit:
                        type: integer
                        description: Number of results returned per page
                        example: 10
                      offset:
                        type: integer
                        description: Offset value passed in the request
                        example: 0
                    description: Metadata related to pagination information
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type: string
                          description: Unique identifier for the schema
                          example: new-order-placed
                        name:
                          type: string
                          description: Human-readable name of the schema
                          example: Order Placed Event
                        description:
                          type: string
                          nullable: true
                          description: Description of the schema
                          example: Schema for order placement action
                        status:
                          type: string
                          enum:
                            - draft
                            - live
                          description: >-
                            Status of returned schema. By default, draft version
                            is returned. You can set `mode=live` to fetch the
                            live schema.
                          example: draft
                        hash:
                          type: string
                          description: Git-like hash for version tracking
                          example: 382b707d4b1f8999a1xxxxxxxx
                        json_schema:
                          type: object
                          nullable: true
                          description: >-
                            Structure of the workflow or event payload. Follows
                            standard [json schema
                            specification](https://json-schema.org/draft/2020-12/schema).
                            You can link this schema to a workflow or event to
                            validate their input payload in API response. Same
                            schema can be linked to multiple workflows and
                            events.
                          example:
                            type: object
                            $schema: https://json-schema.org/draft/2020-12/schema
                            required:
                              - order_id
                              - amount
                            properties:
                              order_id:
                                type: string
                              amount:
                                type: string
                            additionalProperties: true
                        created_at:
                          type: string
                          format: date-time
                          description: When the schema was created
                          example: '2025-08-27T09:30:57.945326Z'
                        updated_at:
                          type: string
                          format: date-time
                          description: When the schema was last updated
                          example: '2025-08-29T15:37:37.650177Z'
                        committed_at:
                          type: string
                          format: date-time
                          nullable: true
                          description: >-
                            When the schema was last committed. Only available
                            for live schema.
                          example: null
                        commit_message:
                          type: string
                          nullable: true
                          description: Last commit message. Only available for live schema.
                          example: null
                    description: Array of schemas
        '401':
          $ref: '#/components/responses/AuthenticationError'
          description: AuthenticationFailed - Invalid service token.
        '404':
          description: Schema not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code
                    example: 404
                  error_code:
                    type: string
                    description: Error code identifier
                    example: not_found
                  type:
                    type: string
                    description: Error type
                    example: NotFound
                  message:
                    type: string
                    description: Error message
                    example: workspace 'demo' not found
                  detail:
                    type: string
                    description: Detailed error information
                    example: workspace 'demo' not found
              example:
                code: 404
                error_code: not_found
                type: NotFound
                message: workspace 'demo' not found
                detail: workspace 'demo' not found
      security:
        - ServiceTokenAuth: []
      servers:
        - url: https://management-api.suprsend.com
      x-codeSamples:
        - lang: cURL
          label: List Schemas
          source: >
            curl -X GET
            "https://management-api.suprsend.com/v1/{workspace}/schema/" \
              --header 'Authorization: ServiceToken <token>' \
              --header 'Content-Type: application/json'
components:
  responses:
    AuthenticationError:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 401
            error_code: authentication_failed
            type: AuthenticationFailed
            message: Invalid service token.
            detail: Invalid service token.
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: HTTP status code
        error_code:
          type: string
          description: Specific error code identifier
        type:
          type: string
          description: Error type classification
        message:
          type: string
          description: Human-readable error message
        detail:
          type: string
          description: Additional error details
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.
    ServiceTokenAuth:
      type: apiKey
      in: header
      name: ServiceToken <token>
      description: >-
        You can get Service Token from [SuprSend dashboard -> Account Settings
        -> Service
        Tokens](https://app.suprsend.com/en/account-settings/service-tokens)
        section.

````